rss-glx (0.9.1-6ubuntu3) vivid; urgency=medium

  * Rebuild against libmagickcore-6.q16-2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Oct 2014 11:52:37 +0000

rss-glx (0.9.1-6ubuntu2) trusty; urgency=medium

  * Rebuild against glew 1.10.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2014 09:39:45 +0100

rss-glx (0.9.1-6ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Added an apport package hook

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Aug 2013 20:36:32 +0100

rss-glx (0.9.1-6) unstable; urgency=low

  * Build-depend on libgl1-mesa-dev instead of -swx11-dev (Closes: #713110)

 -- Ari Pollak <ari@debian.org>  Sat, 17 Aug 2013 22:08:50 -0400

rss-glx (0.9.1-5ubuntu5) quantal; urgency=low

  * Rebuild for libglew 1.8.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 09 Sep 2012 01:30:17 +0100

rss-glx (0.9.1-5ubuntu4) quantal; urgency=low

  * Rebuild for imagemagick 6.7.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Jul 2012 11:23:55 +0100

rss-glx (0.9.1-5ubuntu3) quantal; urgency=low

  * debian/rules:
   - renamed apport file to 'source_rss-glx.py' (LP: #1017780)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 26 Jun 2012 20:23:56 +0200

rss-glx (0.9.1-5ubuntu2) precise; urgency=low

  * No change rebuild for imagemagick4 transition

 -- Michael Terry <mterry@ubuntu.com>  Fri, 18 Nov 2011 12:03:57 -0500

rss-glx (0.9.1-5ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Added an apport package hook
    - Changed libgl1-mesa-swx11-dev to libgl1-mesa-dev in Build-Depends

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sun, 05 Jun 2011 18:30:36 +0200

rss-glx (0.9.1-5) unstable; urgency=low

  * Fix non-POSIX-compliant wildcard when removing .a and .la files
    (Closes: #628103)

 -- Ari Pollak <ari@debian.org>  Fri, 27 May 2011 10:35:25 -0400

rss-glx (0.9.1-4) unstable; urgency=low

  * Switch to debhelper 7 short format with dh-autoreconf
  * Don't install internal static libraries
  * pixelcity-cpp.patch:
    - force compiling pixelcity with g++ (Closes: #622042)
  * configure.diff:
    - update to apply against configure.in instead of configure

 -- Ari Pollak <ari@debian.org>  Mon, 18 Apr 2011 20:53:55 -0400

rss-glx (0.9.1-3ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #604945). Remaining changes:
    - Added an apport package hook
    - Changed libgl1-mesa-swx11-dev to libgl1-mesa-dev in Build-Depends
  * Dropped changes:
    - Drop dependency on openal. As the package is in universe now, it's not 
      mandatory anymore
    - src/skyrocket.{cpp,xml}: Disable sound by default. Same reason.
    - Add --disable-sound configure flag to debian/rules. Same reason.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 22 Jul 2010 06:50:37 +0200

rss-glx (0.9.1-3) unstable; urgency=low

  * Add build-dependency on libglewmx1.5-dev (Closes: #587112) 

 -- Ari Pollak <ari@debian.org>  Tue, 06 Jul 2010 00:06:07 -0400

rss-glx (0.9.1-2) unstable; urgency=low

  * Fix pixelcity.desktop typo (Closes: #574034)

 -- Ari Pollak <ari@debian.org>  Tue, 23 Mar 2010 22:30:06 -0400

rss-glx (0.9.1-1) unstable; urgency=low

  * New upstream release
  * Switch to source format 3.0 (quilt)
  * Fix path to kde4 screensaver files (Closes: #534611)
  * Remove -Wl,--as-needed, which doesn't appear to work properly with
    pixelcity

 -- Ari Pollak <ari@debian.org>  Wed, 03 Feb 2010 20:09:24 -0500

rss-glx (0.9.0-2ubuntu4) lucid; urgency=low

  * debian/control: Changed libgl1-mesa-swx11-dev to libgl1-mesa-dev in
    Build-Depends, fix FTBFS (LP:#538722)

 -- Angel Abad <angelabad@gmail.com>  Sun, 14 Mar 2010 15:09:01 +0100

rss-glx (0.9.0-2ubuntu3) karmic; urgency=low

  * No-change rebuild against libmagickwand2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Sep 2009 19:23:30 +0000

rss-glx (0.9.0-2ubuntu2) karmic; urgency=low

  * Added an apport package hook (LP: #399017)

 -- Brian Murray <brian@ubuntu.com>  Mon, 13 Jul 2009 13:27:14 -0700

rss-glx (0.9.0-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Drop dependency on openal. It is not enabled by default anyway, and
      allows openal to migrate to universe.
    - src/skyrocket.{cpp,xml}: Disable sound by default.
    - Add --disable-sound configure flag to debian/rules, as we don't keep 
      the dependencies on openal nor freeglut (both universe packages).
  * Dropped changes, merged upstream:
    - other_src/Makefile.am: fix the upstream build rules to actually use
      the ImageMagick CFLAGS returned by pkg-config.
    - Move the unconditional ImageMagick check up in configure.in so that
      our first PKG_CHECK_MODULES() call isn't hidden behind a shell
      conditional.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 03 Jun 2009 18:41:32 +0000

rss-glx (0.9.0-2) unstable; urgency=low

  * Remove remaining source patches for hyperspace and skyrocket; these
    seem to be unnecessary as of 0.9.0

 -- Ari Pollak <ari@debian.org>  Fri, 22 May 2009 18:30:21 -0400

rss-glx (0.9.0-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Fri, 22 May 2009 16:58:26 -0400

rss-glx (0.8.3-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Drop dependency on openal. It is not enabled by default anyway, and
      allows openal to migrate to universe.
    - reallyslick/cpp_src/skyrocket.{cpp,xml}: Disable sound by default.
    - other_src/Makefile.am: fix the upstream build rules to actually use
      the ImageMagick CFLAGS returned by pkg-config.
    - Add --disable-sound configure flag to debian/rules, as we don't keep 
      the dependencies on openal nor freeglut (both universe packages).
    - Call ./autogen.sh and build-depend on automake/autoconf, since we're
      modifying other_src/Makefile.am above.
  * Dropped changes, superseded in Debian package:
    - debian/control: build-depend on libmagickwand-dev instead of
      libmagick9-dev.
  * Instead of hard-coding a define of PKG_CONFIG, move the unconditional
    ImageMagick check up in configure.in so that our first PKG_CHECK_MODULES()
    call isn't hidden behind a shell conditional.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2009 05:30:24 +0000

rss-glx (0.8.3-1) unstable; urgency=low

  * New upstream release
    - Fixes crash due to bad range check in cyclone (Closes: #511497)

 -- Ari Pollak <ari@debian.org>  Mon, 13 Apr 2009 19:40:44 -0400

rss-glx (0.8.2-2) unstable; urgency=low

  * Fix config.sub and config.guess symlinks; thanks to Peter Green for the
    patch (Closes: #523597)
  * Update copyright file

 -- Ari Pollak <ari@debian.org>  Sun, 12 Apr 2009 15:48:43 -0400

rss-glx (0.8.2-1ubuntu3) jaunty; urgency=low

  * debian/control: build-depend on libmagickwand-dev instead of
    libmagick9-dev.
  * other_src/Makefile.am: fix the upstream build rules to actually use
    the ImageMagick CFLAGS returned by pkg-config.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Jan 2009 01:33:22 +0000

rss-glx (0.8.2-1ubuntu2) jaunty; urgency=low

  * Remove the symlinks in the clean rule, and rerun autogen.sh, so 
    the package knows about the new libtool locations. (LP: #300257)
  * Add automake to build-depends to fix FTBFS
  * Add --disable-sound configure flag to debian/rules, as we don't keep 
    the dependencies on openal nor freeglut (both universe packages).
  * Add PKG_CONFIG="/usr/bin/pkg-config" to configure.in, so it actually runs 
    pkg-config, to fix FTBFS.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sat, 22 Nov 2008 21:33:28 +1100

rss-glx (0.8.2-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Drop dependency on openal. It is not enabled by default anyway, and
      allows openal to migrate to universe. (LP: #243719)
    - reallyslick/cpp_src/skyrocket.{cpp,xml}: Disable sound by default.
      (LP #21507)
    - change maintainer field according to spec
  * Screensavers no longer take 100% CPU (LP: #129142)

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sat, 22 Nov 2008 19:10:21 +1100

rss-glx (0.8.2-1) unstable; urgency=low

  * New upstream release
    - Fixes screensavers consuming 100% CPU (Closes: #445204)
  * Add Homepage field to control file (Closes: #492338)

 -- Ari Pollak <ari@debian.org>  Tue, 02 Sep 2008 23:50:13 -0400

rss-glx (0.8.1-11) experimental; urgency=low

  * Apply patch to build with new ImageMagick in experimental
    (Closes: #485896)

 -- Ari Pollak <ari@debian.org>  Sun, 29 Jun 2008 16:26:54 -0400

rss-glx (0.8.1-10ubuntu2) intrepid; urgency=low

  * Drop dependency on openal. It is not enabled by default anyway, and
    allows openal to migrate to universe. (LP: #243719)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 29 Jun 2008 10:27:36 +0200

rss-glx (0.8.1-10ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - reallyslick/cpp_src/skyrocket.{cpp,xml}: Disable sound by default.
      (LP #21507)
    - change maintainer field according to spec

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 20 Mar 2008 10:40:34 +0000

rss-glx (0.8.1-10) unstable; urgency=low

  * Update build dependency on libglew for unannounced transition
  * Apply patch from rsxs to fix camera position in hyperspace
    (Closes: #471734)

 -- Ari Pollak <ari@debian.org>  Wed, 19 Mar 2008 23:19:57 -0400

rss-glx (0.8.1-9) unstable; urgency=low

  * Remove dependency on xscreensaver-gl now that xscreensaver
    is fixed (Closes: #463409)

 -- Ari Pollak <ari@debian.org>  Sun, 03 Feb 2008 13:54:39 -0500

rss-glx (0.8.1-8ubuntu4) hardy; urgency=low

  * No-change rebuild against libmagick10.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 Feb 2008 10:54:17 +0000

rss-glx (0.8.1-8ubuntu3) hardy; urgency=low

  * Change libglew1.4-dev with libglew1.5-dev in B-D.

 -- Michele Angrisano <micheleangrisano@ubuntu.com>  Tue, 19 Feb 2008 20:34:12 +0100

rss-glx (0.8.1-8ubuntu2) hardy; urgency=low

  * Rebuild for libglew1.4 -> libglew1.5 transition.

 -- Michele Angrisano <micheleangrisano@ubuntu.com>  Fri, 08 Feb 2008 23:28:56 +0100

rss-glx (0.8.1-8ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Build deps:  libglew1 -> libglew1.4 transition.
    - reallyslick/cpp_src/skyrocket.{cpp,xml}: Disable sound by default.
      (LP #21507)

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 12 Nov 2007 00:24:40 +1100

rss-glx (0.8.1-8) unstable; urgency=high

  * Depend on xscreensaver-gl as a temporary workaround for #448157
    (CVE-2007-5585) so that xscreensaver doesn't unlock if it can't find
    xscreensaver-gl-helper

 -- Ari Pollak <ari@debian.org>  Fri, 26 Oct 2007 12:17:10 -0400

rss-glx (0.8.1-7) unstable; urgency=low

  * Add proper header files to fix FTBFS on g++-4.3 (Closes: #441584)

 -- Ari Pollak <ari@debian.org>  Tue, 02 Oct 2007 21:58:16 -0400

rss-glx (0.8.1-6ubuntu5) gutsy; urgency=low

  * Fix build failure with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Sep 2007 13:55:49 +0000

rss-glx (0.8.1-6ubuntu4) gutsy; urgency=low

  * A rebuild for new library depends would work much better if the
    Build-Depends were actually changed.
  * Really rebuild for the libglew1 -> libglew1.4 transition.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sun, 15 Jul 2007 12:05:10 +1000

rss-glx (0.8.1-6ubuntu3) gutsy; urgency=low

  * Rebuild for the libglew1 -> libglew1.4 transition.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sat, 14 Jul 2007 23:33:54 +1000

rss-glx (0.8.1-6ubuntu2) gutsy; urgency=low

  * No-change rebuild for libjasper transition.

 -- Steve Kowalik <stevenk@ubuntu.com>  Fri, 22 Jun 2007 23:15:45 +1000

rss-glx (0.8.1-6ubuntu1) gutsy; urgency=low

  * Merge to Debian unstable; remaining Ubuntu changes:
    - reallyslick/cpp_src/skyrocket.{cpp,xml}: Disable sound by default.
      (LP #21507)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 14 May 2007 23:07:36 +0200

rss-glx (0.8.1-6) unstable; urgency=low

  * Install .desktop files to new location for gnome-screensaver 2.18
    (Closes: #390659)

 -- Ari Pollak <ari@debian.org>  Mon, 07 May 2007 17:36:16 -0400

rss-glx (0.8.1-5) unstable; urgency=low

  * Add proper CFLAGS and CXXFLAGS to build
  * Build with -Wl,--as-needed (Closes: #422714)

 -- Ari Pollak <ari@debian.org>  Mon, 07 May 2007 16:46:08 -0400

rss-glx (0.8.1-4) unstable; urgency=low

  * Apply patch to fix build under g++ 4.3 (Closes: #417521)

 -- Ari Pollak <ari@debian.org>  Thu, 05 Apr 2007 22:56:49 -0400

rss-glx (0.8.1-3) unstable; urgency=low

  * It would really help if I actually made the change I said I would
    do in the changelog.

 -- Ari Pollak <ari@debian.org>  Sat,  8 Apr 2006 18:05:11 -0400

rss-glx (0.8.1-2) unstable; urgency=low

  * Build-Depend on pkg-config to fix FTBFS (Closes: #361504)

 -- Ari Pollak <ari@debian.org>  Sat,  8 Apr 2006 14:44:37 -0400

rss-glx (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Use gnome-screensaver .desktop files from Ubuntu, which should work now
    (needed to pass -r to the screensavers to get them to draw on the root
    window) (Closes: #345264)

 -- Ari Pollak <ari@debian.org>  Fri,  7 Apr 2006 19:05:52 -0400

rss-glx (0.8.0-7) unstable; urgency=low

  * Add build-dependency on libalut-dev and patch configure to 
    link with both libalut & libopenal, which is necessary with the new
    version of openal.

 -- Ari Pollak <ari@debian.org>  Sun, 19 Mar 2006 17:56:05 +0000

rss-glx (0.8.0-6) unstable; urgency=low

  * I'm still an idiot. (Closes: #356971)

 -- Ari Pollak <ari@debian.org>  Sun, 19 Mar 2006 11:02:01 -0500

rss-glx (0.8.0-5) unstable; urgency=low

  * Apply patch from Martin Michlmayr to fix compilation on g++ 4.1
    (Closes: #356971)

 -- Ari Pollak <ari@debian.org>  Fri, 17 Mar 2006 18:17:42 +0000

rss-glx (0.8.0-4) unstable; urgency=low

  * I am an idiot. (Closes: #350985)

 -- Ari Pollak <ari@debian.org>  Thu,  2 Feb 2006 12:13:14 -0500

rss-glx (0.8.0-3) unstable; urgency=low

  * Don't install gnome-screensaver support since it doesn't
    work correctly at all (Closes: #350623)

 -- Ari Pollak <ari@debian.org>  Mon, 30 Jan 2006 15:48:04 -0500

rss-glx (0.8.0-2) unstable; urgency=low

  * This will trigger a rebuild, so the libs will be updated (Closes: #347404)
  * Fix configure script to not add -lSM and -lICE (Closes: #347741)
  * Build-depends update:
    libx11-dev, libgl-dev, libglu-dev ->
      libx11-dev | xlibs-dev, libxt-dev | xlibs-ev, xlibmesa-gl-dev | libgl-dev,
      libglu1-xorg-dev | libglu-dev
  * Add .desktop files so that rss-glx works with gnome-screensaver
    (Closes: #345264)
  * Add Suggests: xscreensaver | gnome-screensaver

 -- Ari Pollak <ari@debian.org>  Fri, 20 Jan 2006 13:56:17 -0500

rss-glx (0.8.0-1) unstable; urgency=low

  * New upstream release
  * Update build-depends for new ImageMagick (Closes: #332464)
  * Change build-depends on xlibs-dev to libx11-dev
  * Add build-depends on libtool becuase upstream provides
    config.guess and config.sub as symlinks to /usr/share/libtool/*
  * Add build-depends on libglew-dev since one of the hacks requires it
  * Move rss-glx_install.pl to rss-glx_install, and update
    README.xscreensaver with new filename. (Closes: #320337)
  * We should now be building with ImageMagick again, so matrixview -i
    should work. (Closes: #259454)

 -- Ari Pollak <ari@debian.org>  Thu,  6 Oct 2005 13:38:12 -0400

rss-glx (0.7.5-4) unstable; urgency=low

  * Rebuild against imagemagick 6, update build-depends (Closes: #247349)

 -- Ari Pollak <ari@debian.org>  Tue,  4 May 2004 12:54:25 -0400

rss-glx (0.7.5-3) unstable; urgency=low

  * Use new vroot.h from xscreensaver 4.14 (Closes: #217703)

 -- Ari Pollak <ari@debian.org>  Mon, 27 Oct 2003 11:53:36 -0500

rss-glx (0.7.5-2) unstable; urgency=low

  * Eek, the binaries should have been in /usr/lib/xscreensaver in the 
    first place. Move them now. (Closes: #212934)

 -- Ari Pollak <ari@debian.org>  Fri, 26 Sep 2003 20:38:52 -0400

rss-glx (0.7.5-1) unstable; urgency=low

  * Initial Release.

 -- Ari Pollak <ari@debian.org>  Sat, 16 Aug 2003 12:38:37 -0400

